summaryrefslogtreecommitdiff
path: root/tests/libtest.sh
diff options
context:
space:
mode:
authorSimon McVittie <smcv@collabora.com>2021-06-22 10:37:39 +0100
committerSimon McVittie <smcv@collabora.com>2021-06-22 10:37:39 +0100
commit3cc4f8710f377c2f61d05c818c4bcc372e532c89 (patch)
treed6ed6552686b7c282bf449ec6f6486541efa5fe3 /tests/libtest.sh
parentb6a55ab8f3f75ce294899898970f4a73b8ab2828 (diff)
downloadostree-3cc4f8710f377c2f61d05c818c4bcc372e532c89.tar.gz
libtest.sh: Remove duplicate ERR trap and report_err()
Since #2377 was merged, this is in libtest-core.sh, which is sourced by libtest.sh. Signed-off-by: Simon McVittie <smcv@collabora.com>
Diffstat (limited to 'tests/libtest.sh')
-rwxr-xr-xtests/libtest.sh8
1 files changed, 0 insertions, 8 deletions
diff --git a/tests/libtest.sh b/tests/libtest.sh
index bf34cd5e..260b8d1d 100755
--- a/tests/libtest.sh
+++ b/tests/libtest.sh
@@ -46,14 +46,6 @@ run_exit_cmds() {
}
trap run_exit_cmds EXIT
-report_err () {
- local exit_status="$?"
- { { local BASH_XTRACEFD=3; } 2> /dev/null
- echo "Unexpected nonzero exit status $exit_status while running: $BASH_COMMAND" >&2
- } 3> /dev/null
-}
-trap report_err ERR
-
save_core() {
if [ -e core ]; then
cp core "$test_srcdir/core"